sockaddr.c File Reference

mptcpd `struct` `sockaddr` related utility functions. More...

`#include <string.h>`
`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <mptcpd/private/sockaddr.h>`
Include dependency graph for sockaddr.c:

## Functions

bool | mptcpd_sockaddr_storage_init (struct in_addr const *addr4, struct in6_addr const *addr6, unsigned short port, struct sockaddr_storage *addr)
| Initialize `sockaddr_storage` instance. More...

## Detailed Description

mptcpd `struct` `sockaddr` related utility functions.

Copyright (c) 2019-2021, Intel Corporation

## Function Documentation

## mptcpd_sockaddr_storage_init()

bool mptcpd_sockaddr_storage_init | ( | struct in_addr const * | addr4,
|  | struct in6_addr const * | addr6,
|  | unsigned short | port,
|  | struct sockaddr_storage * | addr
| ) |  |

Initialize `sockaddr_storage` instance.

Initialize a `sockaddr_storage` instance with the provided IPv4 or IPv6 address. Only one is required and used. The port may be zero in cases where it is optional.

Parameters

  [in] | addr4 | IPv4 internet address.
  [in] | addr6 | IPv6 internet address.
  [in] | port | IP port.
  [in,out] | addr | mptcpd network address information.

Returns
  `true` on success. `false` otherwise.